org.gradle.platform.base

## Interface DependencySpecContainer

-     @Incubating
      public interface DependencySpecContainer

  A container for dependency specifications.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<DependencySpec>` | `getDependencies()` Returns an immutable view of dependencies stored in this container.
    `boolean` | `isEmpty()` Returns true if this container doesn't hold any dependency.
    `DependencySpecBuilder` | `library(String name)` Defines a new dependency, based on a library name.
    `DependencySpecBuilder` | `project(String path)` Defines a new dependency, based on a project path.

- - ### Method Detail

    - #### project

          DependencySpecBuilder project(String path)

      Defines a new dependency, based on a project path. The returned dependency can be mutated.
      Parameters:
        `path` - the project path
      Returns:
        a mutable dependency, added to this container

    - #### library

          DependencySpecBuilder library(String name)

      Defines a new dependency, based on a library name. The returned dependency can be mutated.
      Parameters:
        `name` - of the library
      Returns:
        a mutable dependency, added to this container

    - #### getDependencies

          Collection<DependencySpec> getDependencies()

      Returns an immutable view of dependencies stored in this container.
      Returns:
        an immutable view of dependencies. Each dependency in the collection is itself immutable.

    - #### isEmpty

          boolean isEmpty()

      Returns true if this container doesn't hold any dependency.
      Returns:
        true if this container doesn't contain any dependency specification.